<?php
/* $Id: user_validate.php 85 2010-12-19 21:23:23Z mir $ */
    require_once 'config.inc.php';
    require_once 'user_settings.inc.php';

    function valid_user() {
        if (! isset($_SESSION['authenticate']) ||
            ! is_object($_SESSION['authenticate'])) {
            header('Location: ' . WEB_ROOT . 'login.php');
            exit();
        }

        $auth = $_SESSION['authenticate'];
        if (! $auth->validUser()) {
            header('Location: ' . WEB_ROOT . 'login.php');
            exit();
        }
    }
    
    function has_admin_role() {
        if (! isset($_SESSION['user_settings']) ||
            ! is_object($_SESSION['user_settings'])) {
            return false;
        }
        return ($_SESSION['user_settings']->getRole() == 0);
    }
?>
