#!/usr/bin/env perl
use strict;
use warnings;
my ($tz, @zones);

open FILE, "timezone.txt" or die $!;
while (<FILE>) {
    if ($_ =~ /"(\w*\/?\w*)"/) {
        push @zones, $1;
    }
}
close FILE;

my $size = scalar @zones;
$tz = "<?php\n\$timezone = array(\n";
foreach (@zones) {
    $size--;
    $tz .= "\t\"$_\"";
    $tz .= ($size) ? ",\n" : "\n";
}
$tz .= ");\n?>\n";

open FILE, ">timezone.php" or die $!;
print FILE $tz;

exit 0;
